Lip sync
Endpoint: POST https://4zapi.com/kling/v1/videos/lip-sync
- Generate video
- This interface requires video id or video url The video ID needs to be used on the parent task account. Please do it as soon as possible to avoid the expiration of the resource package. Official document: https://app.klingai.com/cn/dev/document-api/apiReference/model/videoTolip
The system provides a variety of timbres to choose from, with specific timbre effects, timbre IDs, and timbre language correspondences click here to view
Parameters
Content-Type(header, string, required): Request body Content-Type, usually application/jsonAccept(header, string, required): Expected response Content-TypeAuthorization(header, string, required): Bearer API Key
Request body (application/json)
input(object, required): Input content
Request example
{
"input": {
"mode": "std",
"text": "今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好今天天气很好",
"video_id": "827964097668337738",
"video_url": "https://example.com/sample.mp4",
"voice_id": "girlfriend_1_speech02",
"voice_language": "zh"
}
}